# Create a new provider Creates a new provider that can be used to store information about this provider. Once a provider is created you can attach records, notes, documents and create other associations with this provider such as adding them to a Group or Payer. Endpoint: POST /providers Version: 26.2.0.4309 Security: Bearer ## Request fields (application/json): - `firstName` (string, required) The first (given) name of the provider. Example: "string" - `lastName` (string, required) The last (family) name of the provider. Example: "string" - `dateOfBirth` (string) The date of birth of this provider. Example: "2000-08-24" - `gender` (string) Provider's gender (optional). Enum: "Unknown", "Male", "Female", "NonBinaryOrThirdGender", "Other", "PreferNotToSay" - `ethnicity` (array) Provider's ethnicity (optional). Enum: "AmericanIndianOrAlaskaNative", "Asian", "BlackOrAfricanAmerican", "HispanicOrLatino", "NativeHawaiianOrOtherPacificIslander", "White", "PreferNotToSay", "NoInformationToAnswer" - `ssn` (string) The social security number of this provider. Example: "123456789" - `npi` (integer) The 10 digit National Provider Identifiers (NPI) of this provider - `aliases` (array) A list of aliases that this provider is also known by. - `aliases.firstName` (string, required) The first (given) name of this alias. - `aliases.lastName` (string, required) The last (family) name of this alias. - `primaryPracticeState` (string) The primary practice state of the provider. Enum: "AL", "AK", "AZ", "AR", "CA", "CO", "CT", "DE", "DC", "FL", "GA", "HI", "ID", "IL", "IN", "IA", "KS", "KY", "LA", "ME", "MD", "MA", "MI", "MN", "MS", "MO", "MT", "NE", "NV", "NH", "NJ", "NM", "NY", "NC", "ND", "OH", "OK", "OR", "PA", "RI", "SC", "SD", "TN", "TX", "UT", "VT", "VA", "WA", "WV", "WI", "WY", "AS", "GU", "MP", "PR", "VI" - `additionalPracticeStates` (array) Additional practice states of the provider. Cannot include the primary practice state. Enum: "AL", "AK", "AZ", "AR", "CA", "CO", "CT", "DE", "DC", "FL", "GA", "HI", "ID", "IL", "IN", "IA", "KS", "KY", "LA", "ME", "MD", "MA", "MI", "MN", "MS", "MO", "MT", "NE", "NV", "NH", "NJ", "NM", "NY", "NC", "ND", "OH", "OK", "OR", "PA", "RI", "SC", "SD", "TN", "TX", "UT", "VT", "VA", "WA", "WV", "WI", "WY", "AS", "GU", "MP", "PR", "VI" - `credentialingStatus` (string) The name of credentialing status. The default value is 'Data Collection'. - `emails` (array) A list with provider emails. - `emails.email` (string, required) The email associated with the provider. - `emails.type` (string, required) The type of the email. Enum: "Unspecified", "Personal", "Work" - `addresses` (array) A list with provider addresses. - `addresses.state` (string, required) Abbreviation of the state in which the city is located. Enum: "AL", "AK", "AZ", "AR", "CA", "CO", "CT", "DE", "DC", "FL", "GA", "HI", "ID", "IL", "IN", "IA", "KS", "KY", "LA", "ME", "MD", "MA", "MI", "MN", "MS", "MO", "MT", "NE", "NV", "NH", "NJ", "NM", "NY", "NC", "ND", "OH", "OK", "OR", "PA", "RI", "SC", "SD", "TN", "TX", "UT", "VT", "VA", "WA", "WV", "WI", "WY", "AS", "GU", "MP", "PR", "VI" - `addresses.zipCode` (string, required) The postal code associated with the address. - `addresses.city` (string, required) The city in which the address is located. - `addresses.addressLine1` (string, required) The street address. - `addresses.addressLine2` (string) The secondary address information. - `addresses.type` (string, required) The type of address. Enum: "Unspecified", "Home", "Work" - `phone` (string) Primary phone number associated with this provider - `languages` (array) A list of languages, other than English, this provider speaks. - `credentialedDate` (string) Date this provider was originally credentialed - `recredentialedDates` (array) A list of dates when this provider was re-credentialed. - `nextCredentialingDate` (string) Date this provider should be credentialed next - `providerTypeId` (string) Provider type id associated with this provider. - `segmentId` (string) The segment identifier to assign this provider to. If not specified, the default segment will be used. - `deactivated` (boolean) If set to true, the provider will be deactivated. If set to false, the provider will be activated. ## Response 201 fields (application/json): - `id` (string) Unique identifier associated with this provider. - `firstName` (string, required) The first (given) name associated with this provider. - `lastName` (string, required) The last (family) name associated with this provider. - `dateOfBirth` (string) The date of birth of this provider. - `ssn` (string) The social security number of this provider. - `credentialingStatus` (string, required) The name of credentialing status. The default value is 'Data Collection'. - `credentialedDate` (string) Date this provider was originally credentialed - `nextCredentialingDate` (string) Date this provider should be credentialed next - `npi` (integer) The 10 digit National Provider Identifiers (NPI) of this provider. - `deactivated` (boolean) If set, the provider is deactivated. Verifications and profile imports can't be triggered for the inactive provider. - `deactivatedAt` (string) - `aliases` (array) A list of aliases that this provider is also known by. - `aliases.firstName` (string) The first (given) name of this alias. - `aliases.lastName` (string) The last (family) name of this alias. - `aliases.id` (string) Unique identifier for this alias. - `primaryPracticeState` (string) The primary practice state of the provider. Enum: "AL", "AK", "AZ", "AR", "CA", "CO", "CT", "DE", "DC", "FL", "GA", "HI", "ID", "IL", "IN", "IA", "KS", "KY", "LA", "ME", "MD", "MA", "MI", "MN", "MS", "MO", "MT", "NE", "NV", "NH", "NJ", "NM", "NY", "NC", "ND", "OH", "OK", "OR", "PA", "RI", "SC", "SD", "TN", "TX", "UT", "VT", "VA", "WA", "WV", "WI", "WY", "AS", "GU", "MP", "PR", "VI" - `additionalPracticeStates` (array) Additional practice states of the provider. Cannot include the primary practice state. Enum: "AL", "AK", "AZ", "AR", "CA", "CO", "CT", "DE", "DC", "FL", "GA", "HI", "ID", "IL", "IN", "IA", "KS", "KY", "LA", "ME", "MD", "MA", "MI", "MN", "MS", "MO", "MT", "NE", "NV", "NH", "NJ", "NM", "NY", "NC", "ND", "OH", "OK", "OR", "PA", "RI", "SC", "SD", "TN", "TX", "UT", "VT", "VA", "WA", "WV", "WI", "WY", "AS", "GU", "MP", "PR", "VI" - `gender` (string) Provider's gender (optional). Enum: "Unknown", "Male", "Female", "NonBinaryOrThirdGender", "Other", "PreferNotToSay" - `ethnicity` (array) Provider's ethnicity (optional). Enum: "AmericanIndianOrAlaskaNative", "Asian", "BlackOrAfricanAmerican", "HispanicOrLatino", "NativeHawaiianOrOtherPacificIslander", "White", "PreferNotToSay", "NoInformationToAnswer" - `addresses` (array) If set, the provider's addresses will be updated with this value. To remove the addresses pass an empty array. - `addresses.state` (string, required) Abbreviation of the state in which the city is located. Enum: "AL", "AK", "AZ", "AR", "CA", "CO", "CT", "DE", "DC", "FL", "GA", "HI", "ID", "IL", "IN", "IA", "KS", "KY", "LA", "ME", "MD", "MA", "MI", "MN", "MS", "MO", "MT", "NE", "NV", "NH", "NJ", "NM", "NY", "NC", "ND", "OH", "OK", "OR", "PA", "RI", "SC", "SD", "TN", "TX", "UT", "VT", "VA", "WA", "WV", "WI", "WY", "AS", "GU", "MP", "PR", "VI" - `addresses.zipCode` (string, required) The postal code associated with the address. - `addresses.city` (string, required) The city in which the address is located. - `addresses.addressLine1` (string, required) The street address. - `addresses.addressLine2` (string) The secondary address information. - `addresses.type` (string) The type of address. Enum: "Unspecified", "Home", "Work" - `addresses.id` (string) Unique identifier for this address. - `emails` (array) If set, the provider's emails will be updated with this value. To remove the emails pass an empty array. - `emails.email` (string) The email associated with the provider. - `emails.type` (string) The type of the email. Enum: "Unspecified", "Personal", "Work" - `emails.id` (string) Unique identifier for this specific email. - `phone` (string) Primary phone number associated with this provider - `languages` (array) A list of languages, other than English, this provider speaks. - `recredentialedDates` (array) A list of dates when this provider was re-credentialed. - `providerType` (object) - `providerType.id` (string) Unique identifier associated with this provider type. - `providerType.name` (string) Associated provider type name. - `segment` (object) Example: {"id":"3516a6ba-c998-4bfb-9017-322f8cf63674","name":"acme-corp"} - `segment.id` (string) Unique identifier of the segment. Example: "3516a6ba-c998-4bfb-9017-322f8cf63674" - `segment.name` (string) Name of the segment. Used for multi-tenant organizations for billing, configuration, and tracking purposes. Example: "acme-corp" - `createdAt` (string) Timestamp when this provider was created. ## Response 400 fields ## Response 401 fields ## Response 403 fields ## Response 500 fields